/*
 * Pspell interface header file
 * Copyright 2000 by Kevin Atkinson under the terms of the LGPL
 *
 */

#ifndef PSPELL_MUTABLE_CONTAINER__H
#define PSPELL_MUTABLE_CONTAINER__H


#ifdef __cplusplus

class PspellMutableContainer { 
 public: 
  virtual bool add(const char *) = 0; 
  virtual bool remove(const char *) = 0; 
  virtual void clear() = 0; 
}; 

#else

typedef struct PspellMutableContainer PspellMutableContainer;

#endif


#endif
